Jump to content

VBA bloc insertion!


Guest guij

Recommended Posts

Bonjour tout le monde,

 

Je cherche à l'aide d'un bouton d'un userform a inserer des blocs. Je m'explique;

 

J'ai une liste et j'aimerais que lorsque l'utilisateur selectionne "un nom" dans la liste et appuis sur le bouton,ça ouvre "un bloc" qu'il peut placer sur le dessin.

 

Ca doit probablement etre simple pour certains d'entre vous, mais je suis débutant en VBA et Autocad...alors quand il y a les 2 à la fois... et perso je ne trouve aucun site interessant sur du VBA pour autocad, si vous avez des liens à me passer je suis preneur!

 

Merci d'avance à vous et bonne journée!

Link to post
Share on other sites

bonjour,

si j'ai bien compris ta question :

 

tu as directement la commande insérer ( à taper en ligne de commande ou à aller chercher dans le menu insertion>bloc) qui te permet de faire ça...

 

si tu veux absolument un bouton tu clique droit sur une barre d'outils dans l'onglet contextuel tu clique sur autocad et la tu clique insertion , tu as alors la barre d'outils d'insertion qui s'affiche. (pour insérer les blocs c'est le premier bouton.

 

a+

Link to post
Share on other sites

Bonjour Wookichu,

 

Désolé je n'ai pas été clair. Je dois le faire à partir de VBA sous autocad. J'ai un userform et j'aimerais que lorsque l'utilisateur clique sur un bouton , il puisse insérer un bloc!

 

En gros appelé un bloc a partir d'un bouton et pouvoir le placer ou l'utilisateur le souhaite avec la souris!

 

 

Link to post
Share on other sites

Je dois le faire à partir de VBA sous autocad.

 

C'est un exercice ?

Si oui, je pense que celui qui donne ce genre d'exercice aurait mieux à faire que de s'attarder sur un langage qui va disparaître.

Si non, pourquoi programmer, les palettes d'outils permettent de faire ça (et beaucoup plus) très facilement.

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
ADSK_Expert_Elite_Icon_S_Color_Blk_125.png

Link to post
Share on other sites
  • 9 years later...

2021 Vba (plus de support et d'amélioration) c'est fini !

 

Néanmoins :

 

P1 = liste double des 3 coordonnées X,Y,Z | Dim P1(0 to 2)

NOM_BLOCK= Nom du block s'il est deja dans le dessin sinon chemin complet !

Ex Ey Ez

R angle en radians

 

Set blockRefObj = ThisDrawing.ModelSpace.InsertBlock (P1, NOM_BLOCK, Ex, Ey, Ez, R)

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...